Tryton - Issues

 

Issue7559

Title Unable to open menu on Internet Explorer 11
Priority bug Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot
Type crash Components sao
Assigned To pokoli Keywords review
Reviews 47581002
View: 47581002

Created on 2018-07-03.17:14:57 by pokoli, last changed by roundup-bot.

Messages
New changeset 4240979e04cf by Sergi Almacellas Abellana in branch 'default':
Add Array.from replacement for IE11 support
https://hg.tryton.org/tryton-env/rev/4240979e04cf
New changeset a9eca28564c2 by Sergi Almacellas Abellana in branch 'default':
Add Array.from replacement for IE11 support
https://hg.tryton.org/sao/rev/a9eca28564c2
review47581002 updated at https://codereview.tryton.org/47581002/#ps120001
review47581002 updated at https://codereview.tryton.org/47581002/#ps80001
review47581002 updated at https://codereview.tryton.org/47581002/#ps60001
review47581002 updated at https://codereview.tryton.org/47581002/#ps40001
review47581002 updated at https://codereview.tryton.org/47581002/#ps20001
msg42056 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-07-04.10:13:38
msg42055 is fixed on latest review version
msg42055 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-07-03.22:09:41
I find the polyfill quite large. Will it not be better to just convert the Set into Array with a simple .forEach call?
review47581002 updated at https://codereview.tryton.org/47581002/#ps1
msg42052 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-07-03.17:14:56
After login to the Tryton application on Internet Explorer 11 the following error is raised:

'Object does not support object or Property 'form'

This is because internet explorer 11 does not implement the form operator to convert from Sets to array. 

It seems that the best solution is to copy the implementation for EmacsScript to support it. See: 

https://stackoverflow.com/questions/36810940/array-from-on-the-internet-explorer#36810978

Note this error is only raised on trunk versions as it was introduced by changeset 6a3d7715f9c7
History
Date User Action Args
2018-08-01 10:38:18roundup-botsetmessages: + msg42565
2018-08-01 10:38:09roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg42564
2018-07-31 16:35:26reviewbotsetmessages: + msg42560
2018-07-11 16:18:04reviewbotsetmessages: + msg42139
2018-07-06 13:12:39reviewbotsetmessages: + msg42077
2018-07-06 12:47:59reviewbotsetmessages: + msg42075
2018-07-04 10:17:40reviewbotsetmessages: + msg42058
2018-07-04 10:13:38pokolisetmessages: + msg42056
2018-07-03 22:09:41cedsetnosy: + ced
messages: + msg42055
2018-07-03 17:50:34reviewbotsetnosy: + reviewbot
messages: + msg42053

Showing 10 items. Show all history (warning: this could be VERY long)